<?php
// $Id: datasync_cronalt.job.inc,v 1.1.2.2 2009/12/05 21:59:22 andrewlevine Exp $

class datasync_cronalt extends datasync_callfunc {
  // Definition of phase
  public function run_func() {
    $data = $this->extra_data();
    $module = $data['datasync_cronalt'];
    
    $modules = array();
    if ($module == '<all>') {
      $modules = module_implements('cron');
    }
    else {
      $modules = array($module);
    }
    
    foreach ($modules as $cron_module) {
      $data['callfunc_function'] = $cron_module . '_cron';
      $data['callfunc_args'] = array();
      $data['callfunc_file'] = '';
      $data['callfunc_description'] = t('Called from datasync_cronalt');
      $this->set_extra_data($data);
      parent::run_func();
    }
    watchdog('datasync', 'DATASYNC_CRONALT: Invoked cron for module @mod', array('@mod' => $module,));
    
    return TRUE;
  }
}

